Skip to main content
GET
/
applications
Get Applications
curl --request GET \
  --url https://api.kardow.com/applications \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "job_title": "<string>",
      "company_name": "<string>",
      "applicant_name": "<string>",
      "applicant_email": "jsmith@example.com",
      "applicant_phone": "<string>",
      "submitted_at": "2023-11-07T05:31:56Z",
      "resume_url": "<string>",
      "custom_form_answers": {}
    }
  ],
  "meta": {
    "pagination": {
      "current_page": 123,
      "per_page": 123,
      "total_items": 123,
      "total_pages": 123,
      "has_more": true
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://kardow.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Returns a paginated list of applications for jobs owned by your organization.

Query Parameters

job_id
string
Filter to applications for a specific job UUID.
status
string
Filter by application status: pending, reviewed, shortlisted, rejected, or hired.
page
number
default:"1"
Page number.
per_page
number
default:"20"
Records per page, up to 100.

Examples

List recent applications

cURL
curl --request GET \
  --url "https://api.kardow.com/applications?per_page=10" \
  --header "x-api-key: your-api-key-here"

Filter by job

cURL
curl --request GET \
  --url "https://api.kardow.com/applications?job_id=550e8400-e29b-41d4-a716-446655440000" \
  --header "x-api-key: your-api-key-here"

Response

data
array
meta
object

Authorizations

x-api-key
string
header
required

API key for authentication. Get yours from Settings > API Keys in the Kardow dashboard.

Query Parameters

job_id
string<uuid>

Filter to applications for a specific job UUID.

status
enum<string>

Filter by application status.

Available options:
pending,
reviewed,
shortlisted,
rejected,
hired
page
integer
default:1
Required range: x >= 1
per_page
integer
default:20
Required range: 1 <= x <= 100

Response

Success

data
object[]
required
meta
object
required